Package com.massivecraft.factions.zcore.nbtapi.utils

## Enum MinecraftVersion

- java.lang.Object
- - java.lang.Enum<MinecraftVersion>
  - - com.massivecraft.factions.zcore.nbtapi.utils.MinecraftVersion

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<MinecraftVersion>`, `java.lang.constant.Constable`

    public enum MinecraftVersion
    extends java.lang.Enum<MinecraftVersion>

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

### Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`MC1_10_R1` |
`MC1_11_R1` |
`MC1_12_R1` |
`MC1_7_R4` |
`MC1_8_R3` |
`MC1_9_R1` |
`MC1_9_R2` |
`Unknown` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static MinecraftVersion` | `getVersion()` |
`int` | `getVersionId()` |
`static boolean` | `hasGsonSupport()` |
`static MinecraftVersion` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
`static MinecraftVersion[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Unknown

    public static final MinecraftVersion Unknown

#### MC1_7_R4

    public static final MinecraftVersion MC1_7_R4

#### MC1_8_R3

    public static final MinecraftVersion MC1_8_R3

#### MC1_9_R1

    public static final MinecraftVersion MC1_9_R1

#### MC1_9_R2

    public static final MinecraftVersion MC1_9_R2

#### MC1_10_R1

    public static final MinecraftVersion MC1_10_R1

#### MC1_11_R1

    public static final MinecraftVersion MC1_11_R1

#### MC1_12_R1

    public static final MinecraftVersion MC1_12_R1

### Method Detail

#### values

    public static MinecraftVersion[] values()

Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MinecraftVersion valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getVersion

    public static MinecraftVersion getVersion()

#### hasGsonSupport

    public static boolean hasGsonSupport()

#### getVersionId

    public int getVersionId()